aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/ipq806x/base-files/etc/init.d/bootcount
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/ipq806x/base-files/etc/init.d/bootcount')
-rwxr-xr-xtarget/linux/ipq806x/base-files/etc/init.d/bootcount13
1 files changed, 13 insertions, 0 deletions
diff --git a/target/linux/ipq806x/base-files/etc/init.d/bootcount b/target/linux/ipq806x/base-files/etc/init.d/bootcount
new file mode 100755
index 0000000000..6a5a6d52ad
--- /dev/null
+++ b/target/linux/ipq806x/base-files/etc/init.d/bootcount
@@ -0,0 +1,13 @@
+#!/bin/sh /etc/rc.common
+
+START=99
+
+start() {
+ . /lib/functions.sh
+
+ case $(board_name) in
+ linksys,ea8500)
+ mtd resetbc s_env || true
+ ;;
+ esac
+}